"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("./enzyme.config");
var uses_1 = require("../uses");
var mole_1 = require("../mole");
var Molecule_1 = require("../Molecule");
var Agent_1 = require("../Agent");
var mocha_1 = require("mocha");
var chai_1 = require("chai");
var React = require("react");
var enzyme_1 = require("enzyme");
var EventEmitter_1 = require("../EventEmitter");
var ComponentRegistry_1 = require("../ComponentRegistry");
mocha_1.describe("uses", function () {
    mocha_1.it("useMolecule & others", function () {
        var CONFIG = { number: 2500 };
        var checkConfig = function (obj) {
            chai_1.assert.isObject(obj);
            chai_1.assert.equal(2500, obj.number);
        };
        function HelloDumb() {
            var molecule = uses_1.useMolecule();
            var moleculeConfig = uses_1.useConfig();
            var emitter = uses_1.useEmitter();
            var store = uses_1.useStore();
            var agent = uses_1.useAgent("loader");
            var registry = uses_1.useRegistry();
            var agentConfig = uses_1.useAgentConfig("loader");
            chai_1.assert.isTrue(molecule instanceof Molecule_1.default);
            chai_1.assert.isTrue(agent instanceof Agent_1.default);
            chai_1.assert.isTrue(registry instanceof ComponentRegistry_1.ComponentRegistry);
            checkConfig(moleculeConfig);
            checkConfig(store);
            checkConfig(agentConfig);
            chai_1.assert.isTrue(emitter instanceof EventEmitter_1.default);
            return React.createElement("div", null, "Yes:Woop");
        }
        var Dummy = mole_1.default(function () {
            return {
                config: CONFIG,
                store: CONFIG,
                agents: {
                    loader: Agent_1.default.factory(CONFIG)
                }
            };
        })(HelloDumb);
        var wrapper = enzyme_1.shallow(React.createElement(Dummy, { value: 123 }));
        chai_1.assert.include(wrapper.html(), "Yes:Woop");
    });
});
//# sourceMappingURL=uses.js.map