"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var MoleculeContext_1 = require("./MoleculeContext");
var react_1 = require("react");
function useMolecule() {
    return react_1.useContext(MoleculeContext_1.default);
}
exports.useMolecule = useMolecule;
function useStore() {
    var molecule = useMolecule();
    if (!molecule.store) {
        throw new Error("no-store-found");
    }
    return molecule.store;
}
exports.useStore = useStore;
function useAgentStore(agentName) {
    var agent = useAgent(agentName);
    if (!agent.store) {
        throw new Error("no-store-found for " + agentName);
    }
    return agent.store;
}
exports.useAgentStore = useAgentStore;
function useEmitter() {
    return useMolecule().emitter;
}
exports.useEmitter = useEmitter;
function useRegistry() {
    return useMolecule().registry;
}
exports.useRegistry = useRegistry;
function useConfig() {
    return useMolecule().config;
}
exports.useConfig = useConfig;
function useAgent(name) {
    var molecule = useMolecule();
    return molecule.agents[name];
}
exports.useAgent = useAgent;
function useAgentConfig(agentName) {
    var agent = useAgent(agentName);
    return agent.config;
}
exports.useAgentConfig = useAgentConfig;
//# sourceMappingURL=uses.js.map